curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/channels \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/channels"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channel": "<string>",
"displayName": "<string>",
"currency": "<string>",
"isVariationsSupported": true,
"isRemainingQuantitySupported": true,
"isQuantityPriceSupported": true,
"isPriceUpdatesSupported": true,
"isReturnTrackingRequired": true,
"isAllowCombineOrders": true,
"invoiceDocumentTransfer": 0,
"parentChannelId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Delivers the catalog of available SCX marketplace channels, including capability flags.
Delivers the catalog of available SCX marketplace channels, including capability flags.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Response
Success.
ID of the channel catalog entry.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique channel name.
Channel name shown in the UI.
Currency supported by the channel according to ISO 4217.
Channel supports product variations.
Channel supports remaining quantity updates.
Channel supports quantity-based pricing.
Channel supports price updates.
Channel requires return tracking.
Channel allows combining orders.
Invoice document transfer mode.
0, 1, 2 ID of the parent channel, or null for a platform channel.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?